Subject: Re: Last Call: <draft-bradner-iaoc-terms-01.txt> (Updating the Definition of Term for IAOC Members) to Best Current Practice

From: John C Klensin <[email-masked]>
Date: Tue, 30 Jun 2015 12:30:34 -0400

--On Monday, June 29, 2015 07:36 -0700 The IESG
<[email-masked]> wrote:

> 
> The IESG has received a request from an individual submitter
> to consider the following document:
> - 'Updating the Definition of Term for IAOC Members'
>   <draft-bradner-iaoc-terms-01.txt> as Best Current Practice
> 
> The IESG plans to make a decision in the next few weeks, and
> solicits final comments on this action. Please send
> substantive comments to the [email-masked] mailing lists by
> 2015-07-27.

Hi.

I just skimmed through this draft.  It appears to solve the
problem of an overly specific requirement by substituting
additional overly specific requirements.

Wouldn't it be better to define a window between whenever the
Nomcom announces its selections and the end of the first IETF
meeting of the year and then 

 (i) Allow the IAOC (see below) to define the time and
	conditions (face to face or teleconference) of its
	transitional meeting within that window.
	
 (ii) Give the new members the vote at the beginning of
	that meeting and specify (if it is really necessary)
	that outgoing members do not vote for the Chair.
	
 (iii) Terminate any expiring terms at a time of the
	IAOC's choosing during that meeting or at any later
   time during the window.
	
 (iv) Terminate the term of the Chair at the end of that
	meeting or when a successor is selected, whichever
	occurs first.

If we need to worry about the outgoing IAOC, or outgoing
members, gaming the timing of that meeting or any votes taken
during the deliberately-ambiguous meeting window going badly
astray, then I suggest we have far worse problems than this
term-timing question.  In addition, while the window is smaller
under the proposal in the I-D, the outgoing members could
theoretically decide to hold a lame duck session just before the
IETF meeting and work whatever mischief they had in mind so the
I-D doesn't protect against that possibility either.  

I also note that, while the end of the IETF meeting week is
quite well defined, its beginning is not: Does that week start
with the Sunday even reception?  The Sunday tutorials?  Any IESG
or IAB meetings or workshops that might be held Sunday,
Saturday, or even Friday?  Some other definition?  If the IAOC
decided it needed an uninterrupted full-day meeting on the
Friday before the opening reception, would that count as the
transitional meeting under the terms of the I-D?  Would the new
members be allowed to vote?  attend? Would it be possible to
select a new Chair and, if so, who would vote?    The point is
that, in practical terms, the I-D just substitutes one set of
problematic constraints for another.

Again, it would be sad to replace one document that, as this I-D
notes, has had to be fudged somewhat, with one that could invite
different kinds of fudging.   If we were really worried about
the process being abused, we could address it by giving
newly-appointed members the vote after some fixed period after
the Nomcom announced the new appointments or by asking the
Nomcom to designate the transition point and letting the Chair
turn over as soon after that point as a successor can be
appointed but not later than something (like the end of the IETF
meeting).   However, I assume that level of precautions are
unnecessary and constitute worrying about the wrong problem(s).

best,
    john

---

From: Dave Crocker <[email-masked]>
Date: Tue, 30 Jun 2015 09:53:23 -0700

On 6/29/2015 7:36 AM, The IESG wrote:
> The IESG plans to make a decision in the next few weeks, and solicits
> final comments on this action.

The document's phrasing needs to be simpler, for clarity and to avoid
redundancies that invite divergence:

>    This memo adds a requirement that the IAOC hold a face-to-face or
>    teleconference meeting during the first IETF meeting of each year
>    during which the IAOC members select an IAOC Chair and conduct other
>    business as needed.

In theoretical terms, Klensin's observation that the precise boundaries
of "first IETF meeting" are not well specified is correct.  Rather than
try to fix that I suggest language along the lines of:

   during the first -> around the time of the first

That's sloppy formal specification, of course, but will work just fine
for the purpose here.

Also the qualification for the technical terms of the meeting
(teleconference or f2f) are not relevant, since there is no constraint
being applied.  So don't waste words mentioning the mode.  A meeting is
a meeting, for the purpose being discussed here.

>    This memo updates BCP 101 to define that that the terms of IAOC
>    members normally run from the start of the IAOC face-to-face or
>    teleconference meeting held during the first IETF meeting of a year
>    until the start of the IAOC face-to-face or teleconference meeting
>    held during the first IETF meeting of the year in which his or her
>    term ends.

This sort of specification text is made simpler by being cast for the
singular rather than plural case.

   ...the term of an IAOC member begins at the start of the IAOC
meeting, which is held at the first IETF meeting of the year, and ends
at the start of the corresponding IAOC meeting, in the year completing
the term.

>    This memo updates BCP 101 to define that the term of an IAOC member
>    that is selected to fill a vacancy runs from when the appointment or
>    selection of the IAOC member is announced on the IETF Announce list
>    until the start of the IAOC face-to-face or teleconference meeting
>    held during the first IETF meeting of the year in which his or her
>    term ends.

If someone is filling a vacancy, the ending time of that slot are
already defined.  Redundant definition here here invites divergence.

All that is needed is:

   ...the term of an IAOC member who is selected to fill a vacancy
begins when the selection is announced on the IETF Announce list; it
completes per the normal conditions for the position being filled.

>    This memo also updates BCP 101 to state that the term of the IAOC
>    Chair runs from when the Chair is selected by the IAOC members until
>    the start of the next IAOC face-to-face or teleconference meeting
>    held during the first IETF meeting of a year.
>
>    Since the IETF Trust Agreement defines "Eligible Persons to serve as
>    Trustees" as the "then-current member[s] of the IAOC", ([Trust
>    Agreement] sections 3.1 and 6.1) the above change also resolves the
>    issues with selecting a Chair of the IETF Trust during a face-to-face
>    or teleconference meeting of the Trustees during the first IETF
>    meeting of a year.

-- 
Dave Crocker
Brandenburg InternetWorking
bbiw.net

---

From: John C Klensin <[email-masked]>
Date: Tue, 30 Jun 2015 13:20:59 -0400

--On Tuesday, June 30, 2015 09:53 -0700 Dave Crocker
<[email-masked]> wrote:

>> solicits final comments on this action.
> 
> The document's phrasing needs to be simpler, for clarity and
> to avoid redundancies that invite divergence:

That is a better way to state much of the point I was trying to
make.

>...
> In theoretical terms, Klensin's observation that the precise
> boundaries of "first IETF meeting" are not well specified is
> correct.  Rather than try to fix that I suggest language along
> the lines of:
> 

> That's sloppy formal specification, of course, but will work
> just fine for the purpose here.

Wfm.  And, again, consistent with the general observation that
we need to assume we can trust people to act sensibly and should
not over-specify things.  If we can not make that trust
assumption, we should be trying to work on those issues, not on
this relatively minor topic.

>...
>    ...the term of an IAOC member begins at the start of the
> IAOC meeting, which is held at the first IETF meeting of the
> year, and ends at the start of the corresponding IAOC meeting,
> in the year completing the term.

Subject to the "around the time of" suggestion above or
something equivalent, wfm.

And I agree with Dave about vacancies too -- let's not make this
complicated and risk creating confusion or what he refers to as
divergence.

     john